Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.slide.macro
Class MacroPropertyUpdater

    java.lang.Object
      org.apache.slide.macro.MacroPropertyUpdater

All Implemented Interfaces:
  Configurable, java.util.EventListener, MacroListener

public class MacroPropertyUpdater
extends java.lang.Object
implements MacroListener, Configurable

Event handler (listener) that updates some DAV: properties on COPY or MOVE actions.

The DAV: properties currently updated are: displayname and owner.

Constructor Summary
`MacroPropertyUpdater()`

Method Summary
`void` | `configure(Configuration configuration)`
`void` | `copy(MacroEvent event)`
`void` | `delete(MacroEvent event)`
`void` | `move(MacroEvent event)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MacroPropertyUpdater

    public MacroPropertyUpdater()

Method Detail

### configure

    public void configure(Configuration configuration)
                   throws ConfigurationException

  Specified by:
    `configure` in interface `Configurable`
  Throws:
    `ConfigurationException`

### copy

    public void copy(MacroEvent event)
              throws VetoException

  Specified by:
    `copy` in interface `MacroListener`
  Throws:
    `VetoException`

### move

    public void move(MacroEvent event)
              throws VetoException

  Specified by:
    `move` in interface `MacroListener`
  Throws:
    `VetoException`

### delete

    public void delete(MacroEvent event)
                throws VetoException

  Specified by:
    `delete` in interface `MacroListener`
  Throws:
    `VetoException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD